Package org.apache.lucene.facet.facetset

# Class RangeFacetSetMatcher

java.lang.Object
org.apache.lucene.facet.facetset.FacetSetMatcher
org.apache.lucene.facet.facetset.RangeFacetSetMatcher

public class RangeFacetSetMatcher extends FacetSetMatcher
A `FacetSetMatcher` which considers a set as a match if all dimensions fall within the given corresponding range.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.facet.facetset.FacetSetMatcher

  `dims, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RangeFacetSetMatcher(String label, DimRange... dimRanges)`
  Constructs an instance to match facet sets with dimensions that fall within the given ranges.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `matches(long[] dimValues)`
  Returns true if the facet set encoded in the given `long[]` is matched by this matcher.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RangeFacetSetMatcher

    public RangeFacetSetMatcher(String label, DimRange... dimRanges)
    Constructs an instance to match facet sets with dimensions that fall within the given ranges.

- ## Method Details

  - ### matches

    public boolean matches(long[] dimValues)
    Description copied from class: `FacetSetMatcher`
    Returns true if the facet set encoded in the given `long[]` is matched by this matcher.
    Specified by:
      `matches` in class `FacetSetMatcher`
    Parameters:
      `dimValues` - the encoded dimension values of a single facet set in this field